#!/bin/sh
#SBATCH -J ca16
#SBATCH -c 32
#SBATCH -a 1-4
#SBATCH -o /dev/null
. ./config.sh
if [ x"$SLURM_ARRAY_TASK_ID" = x ]
then
  path="job0"
  name="job0"
  SLURM_ARRAY_TASK_ID=0
else
  path="$SLURM_ARRAY_TASK_ID"
  name="$SLURM_ARRAY_TASK_ID"
  binary=./binary
  exec 1>"$name".log 2>"$name".err
fi
echo "c array.sh: path:  $path"
echo "c array.sh: name:  $name"
echo "c array.sh: task:  $SLURM_ARRAY_TASK_ID"
echo "c array.sh: host:  `hostname`"
echo "c array.sh: start: `date`"

if [ x"$SLURM_ARRAY_TASK_ID" = x"1" ]; then
  echo "c array.sh: running master"
  /home/biere/bin/runlim \
    --time-limit="$time" \
    --real-time-limit="$time" \
    --space-limit="$space" \
    "$binary" \
    $options \
    "--threads" $daemonthread \
    "--id" $SLURM_ARRAY_TASK_ID \
    "$problem"
 
else
  echo "c array.sh: running daemon"
  # work around
  # sleep $SLURM_ARRAY_TASK_ID
  echo "c array.sh: running $binary $options --daemon --threads $daemonthread"
  /home/biere/bin/runlim \
    --time-limit="$time" \
    --real-time-limit="$time" \
    --space-limit="$space" \
    "$binary" \
    $options \
    "--daemon" \
    "--threads" $daemonthread \
    "--id" $SLURM_ARRAY_TASK_ID \
    "$problem"


fi
echo "c array.sh: end `date`"
